| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Customer |
| Production | put | https://api.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Customer |
To change the shopper data of an existing recurrence, simply make a PUT call to the specified endpoint. In the response, the API will return the HTTP Status code, indicating whether the operation was successful or not.
Alphanumeric CNPJs will be implemented by the Brazilian Federal Revenue Service in July 2026This change applies only to new registrations. There will be no changes to existing CNPJs.
The alphanumeric CNPJ is already supported by Cielo, with no changes required to your integration.
We recommend checking whether adjustments are needed in your merchant’s own checkout systems.
Request
put https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Customer
{
"Name":"Outro nome do Comprador",
"Email":"[email protected]",
"Birthdate":"1999-12-12",
"Identity":"0987654321",
"IdentityType":"CPF",
"Address":{
"Street":"Avenida Brigadeiro Faria Lima",
"Number":"1500",
"Complement":"AP 201",
"ZipCode":"05426200",
"City":"São Paulo",
"State":"SP",
"Country":"BRA",
"District":"Alphaville"
},
"DeliveryAddress":{
"Street":"Avenida Brigadeiro Faria Lima",
"Number":"1500",
"Complement":"AP 201",
"ZipCode":"05426200",
"City":"São Paulo",
"State":"SP",
"Country":"BRA",
"District":"Alphaville"
}
}
}--request PUT "https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Customer"
--header "Content-Type: application/json"
--header "MerchantId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--header "MerchantKey: 0123456789012345678901234567890123456789"
--header "RequestId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--data-binary
{
"Name":"Outro nome do Comprador",
"Email":"[email protected]",
"Birthdate":"1999-12-12",
"Identity":"0987654321",
"IdentityType":"CPF",
"Address":{
"Street":"Avenida Brigadeiro Faria Lima",
"Number":"1500",
"Complement":"AP 201",
"ZipCode":"05426200",
"City":"São Paulo",
"State":"SP",
"Country":"BRA",
"District":"Alphaville"
},
"DeliveryAddress":{
"Street":"Avenida Brigadeiro Faria Lima",
"Number":"1500",
"Complement":"AP 201",
"ZipCode":"05426200",
"City":"São Paulo",
"State":"SP",
"Country":"BRA",
"District":"Alphaville"
}
}
--verboseBelow are the field properties in this request:
| Property (header) | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantId | Guid | 36 | Yes | Merchant identifier in Split de Pagamento |
MerchantKey | Text | 40 | Yes | Public key for dual authentication in Split de Pagamento |
Content-Type | Header | 40 | Yes | Application/json |
RequestId | Guid | 36 | No | Request identifier defined by the merchant, used when the merchant uses different servers for each GET/POST/PUT |
| Property (body) | Description | Type | Size | Required? |
|---|---|---|---|---|
RecurrentPaymentId | Recurrence identification number. | Text | 50 | Yes (send in the endpoint) |
Name | Shopper's name. | Text | 255 | Yes |
Email | Shopper's email. | Text | 255 | No |
Birthdate | Shopper's birth date. | Date | 10 | No |
Identity | Shopper's CPF or CNPJ number. Allows submission of alphanumeric CNPJs. | Text | 14 | No |
IdentityType | Shopper's identification document type (CPF/CNPJ). | Text | 255 | No |
Address.Street | Shopper's address. | Text | 255 | No |
Address.Number | Shopper's address number. | Text | 15 | No |
Address.Complement | Shopper's address complement. | Text | 50 | No |
Address.ZipCode | Shopper's address ZIP code. | Text | 9 | No |
Address.City | Shopper's address city. | Text | 50 | No |
Address.State | Shopper's address state. | Text | 2 | No |
Address.Country | Shopper's address country. | Text | 35 | No |
Address.District | Shopper's address neighborhood. | Text | 50 | No |
DeliveryAddress.Street | Shopper's delivery address. | Text | 255 | No |
DeliveryAddress.Number | Shopper's delivery address number. | Text | 15 | No |
DeliveryAddress.Complement | Shopper's delivery address complement. | Text | 50 | No |
DeliveryAddress.ZipCode | Shopper's delivery address ZIP code. | Text | 9 | No |
DeliveryAddress.City | Shopper's delivery address city. | Text | 50 | No |
DeliveryAddress.State | Shopper's delivery address state. | Text | 2 | No |
DeliveryAddress.Country | Shopper's delivery address country. | Text | 35 | No |
DeliveryAddress.District | Shopper's delivery address district. | Text | 50 | No |
Response
HTTP Status 200Refer to the HTTP status codes list to see all status codes that may be returned by the API.